Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451999 - perl-Mail-Alias to be removed from satellite 5.2.0 iso
Summary: perl-Mail-Alias to be removed from satellite 5.2.0 iso
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring
Version: 520
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Jeff Browning
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 15:40 UTC by Milan Zázrivec
Modified: 2008-11-05 18:40 UTC (History)
1 user (show)

Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 18:40:47 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2008-06-18 15:40:04 UTC
Description of problem:
CUrrently there is no package requiring perl-Mail-Alias package, hence
perl-Mail-Alias can be safely removed from satellite 5.2.0 iso / compose.

Version-Release number of selected component (if applicable):
Satellite 5.2.0 / perl-Mail-Alias-1.12-12.el4

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 5.2.0
2. # rpm -q perl-Mail-Alias
3. # rpm -q --provides perl-Mail-Alias
4. # rpm -q --whatrequires 'perl(Mail::Alias)'
5. # rpm -q --whatrequires 'perl(Mail::Alias::Binmail)'
6. # rpm -q --whatrequires 'perl(Mail::Alias::Sendmail)'
7. # rpm -q --whatrequires 'perl(Mail::Alias::Ucbmail)'
8. # rpm -q --whatrequires 'perl-Mail-Alias'

Actual results:
# rpm -q perl-Mail-Alias
perl-Mail-Alias-1.12-12.el4
# rpm -q --provides perl-Mail-Alias
perl(Mail::Alias) = 1.12
perl(Mail::Alias::Binmail)  
perl(Mail::Alias::Sendmail)  
perl(Mail::Alias::Ucbmail)  
perl-Mail-Alias = 1.12-12.el4
# rpm -q --whatrequires 'perl(Mail::Alias)'
no package requires perl(Mail::Alias)
# rpm -q --whatrequires 'perl(Mail::Alias::Binmail)'
no package requires perl(Mail::Alias::Binmail)
# rpm -q --whatrequires 'perl(Mail::Alias::Sendmail)'
no package requires perl(Mail::Alias::Sendmail)
# rpm -q --whatrequires 'perl(Mail::Alias::Ucbmail)'
no package requires perl(Mail::Alias::Ucbmail)
# rpm -q --whatrequires 'perl-Mail-Alias'
no package requires perl-Mail-Alias

Expected results:
# rpm -q perl-Mail-Alias
package perl-Mail-Alias is not installed

Comment 1 Milan Zázrivec 2008-06-18 15:42:44 UTC
Checking in comps-rhel4-rhnsat52.xml;
/cvs/devel/comps/comps-rhel4-rhnsat52.xml,v  <--  comps-rhel4-rhnsat52.xml
new revision: 1.21; previous revision: 1.20
done
Checking in comps-rhel5-rhnsat52.xml;
/cvs/devel/comps/comps-rhel5-rhnsat52.xml,v  <--  comps-rhel5-rhnsat52.xml
new revision: 1.9; previous revision: 1.8

Comment 2 Brad Buckingham 2008-08-13 16:54:45 UTC
Mass move to ON_QA.

Comment 3 Jeff Browning 2008-08-18 23:25:26 UTC
# rpm -q perl-Mail-Alias
package perl-Mail-Alias is not installed

Verified

Comment 4 wes hayutin 2008-10-21 18:23:58 UTC
[root@rlx-2-18 iso]# rpm -q perl-Mail-Alias;
package perl-Mail-Alias is not installed
[root@rlx-2-18 iso]# rpm -q --provides perl-Mail-Alias;
package perl-Mail-Alias is not installed
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl(Mail::Alias)';
no package requires perl(Mail::Alias)
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl(Mail::Alias::Binmail)';
no package requires perl(Mail::Alias::Binmail)
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl(Mail::Alias::Sendmail)';
no package requires perl(Mail::Alias::Sendmail)
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl(Mail::Alias::Ucbmail)';
no package requires perl(Mail::Alias::Ucbmail)
[root@rlx-2-18 iso]# rpm -q --whatrequires 'perl-Mail-Alias';
no package requires perl-Ma

release pending

Comment 5 Brandon Perkins 2008-11-05 18:40:47 UTC
5.2.0 Satellite is now GA, bugs Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.